<?php
namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;

class UserController extends Controller
{
    public function index()
    {
        // Fetch all Pengguna records
        $pengguna = User::all();
        return view('pengguna.index', compact('pengguna'));
    }

    public function store(Request $request)
    {
        // Create a new Pengguna record directly
        User::create($request->all());
        return redirect()->route('pengguna.index');
    }

    public function update(Request $request, $id)
    {
        $pengguna = User::findOrFail($id);
        $pengguna->update($request->all());
        return redirect()->route('pengguna.index');
    }

    public function destroy($id)
    {
        $pengguna = User::findOrFail($id);
        $pengguna->delete();
        return redirect()->route('pengguna.index');
    }
}